Skip to main content
GET
/
api
/
integrations
/
sync-status
Get integration sync status
curl --request GET \
  --url https://app.outlit.ai/api/integrations/sync-status \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "category": "<string>",
  "syncs": [
    {
      "model": "<string>",
      "status": "<string>",
      "lastSyncedAt": "2023-11-07T05:31:56Z",
      "errorMessage": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Query Parameters

provider
enum<string>
required

Public provider ID from the provider table. Public integration provider ID.

Available options:
hubspot,
attio,
slack,
fireflies,
granola,
google-calendar,
google-mail,
posthog,
stripe,
supabase,
clerk,
pylon

Response

Provider sync status.

provider
enum<string>
required

Public integration provider ID.

Available options:
hubspot,
attio,
slack,
fireflies,
granola,
google-calendar,
google-mail,
posthog,
stripe,
supabase,
clerk,
pylon
name
string
required
category
string
required
status
enum<string>
required
Available options:
connected,
not_connected
syncs
object[]
required